Subject: Main site feed ignores HTTP header

From: Grigory Kirillov <[email-masked]>
Date: Sun, 29 May 2022 11:36:50 +0300

Hi, I was testing my feed reader hobby project on real feeds and stumbled upon
the incorrect behavior of the server on which the Alpine's news feed is located.
The fact is that when I attach If-Modified-Since header with the Last-Modified
date to the request, server should return a 304 code and reject the request;
but the server on which the news feed is located doesn't do this.

Here are explanatory curl commands:

% curl -I {alpine linux org atom xml}
HTTP/2 200
server: nginx
date: Sun, 29 May 2022 08:14:23 GMT
content-type: application/xml
content-length: 4704
accept-ranges: bytes
last-modified: Tue, 24 May 2022 10:34:36 GMT
strict-transport-security: max-age=31536000
x-frame-options: DENY
x-content-type-options: nosniff

% curl -I -H 'If-Modified-Since: Tue, 24 May 2022 10:34:36 GMT' {alpine linux org atom xml}
HTTP/2 200
server: nginx
date: Sun, 29 May 2022 08:14:29 GMT
content-type: application/xml
content-length: 4704
accept-ranges: bytes
last-modified: Tue, 24 May 2022 10:34:36 GMT
strict-transport-security: max-age=31536000
x-frame-options: DENY
x-content-type-options: nosniff